Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Delete voice

DELETE
/audio/voices/{voice_id}

Deletes a voice created from a text prompt or an audio sample.

Requires voice write permission and access to the voice’s project. Access to voices created from recordings is limited to eligible customers. See the custom voices guide.

Deleting a voice does not delete its consent recording. Deleting an already deleted voice returns a 404 error.

Path Parameters
voice_id: string
Returns
VoiceDeleted object { id, deleted, object }
id: string

The voice identifier.

deleted: boolean

Whether the voice was deleted.

object: "audio.voice.deleted"

The object type, which is always audio.voice.deleted.

Delete voice

curl https://api.tpg-oai.studydeckedu.com/v1/audio/voices/voice_1234 \
  -X DELETE \
  -H "Authorization: Bearer $OPENAI_API_KEY"
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}
Returns Examples
{
  "id": "voice_1234",
  "object": "audio.voice.deleted",
  "deleted": true
}